use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct EvokState {
    pub temperature: Option<f32>,
}

impl EvokState {
    pub fn new() -> Self {
        Self { temperature: None }
    }
}

impl Default for EvokState {
    fn default() -> Self {
        Self::new()
    }
}
